import type { JSX } from '../../stencil-public-runtime';
import type { DialogAPI, DialogStates, HeadingLevel, KoliBriDialogEventCallbacks, LabelPropType } from '../../schema';
import type { ModalVariantPropType } from '../../schema/props/variant/modal';
export declare class KolDialogWc implements DialogAPI {
    private readonly host?;
    private refDialog?;
    private readonly cardHeadingId;
    private isModal;
    private readonly _cardOn;
    disconnectedCallback(): void;
    private handleCancelEvent;
    private handleNativeCloseEvent;
    show(modal?: boolean): Promise<void>;
    showModal(): Promise<void>;
    openModal(): Promise<void>;
    close(): Promise<void>;
    closeModal(): Promise<void>;
    render(): JSX.Element;
    _label: LabelPropType;
    _level?: HeadingLevel;
    _on?: KoliBriDialogEventCallbacks;
    _width?: string;
    _variant?: ModalVariantPropType;
    state: DialogStates;
    validateLabel(value?: LabelPropType): void;
    validateLevel(value?: HeadingLevel): void;
    validateOn(value?: KoliBriDialogEventCallbacks): void;
    validateWidth(value?: string): void;
    validateVariant(value?: ModalVariantPropType): void;
    componentWillLoad(): void;
}
